package com.zcloud.zcGbsServicer.command;

import com.alibaba.cola.exception.BizException;
import com.zcloud.zcGbsServicer.domain.gateway.ResourcePersonGateway;
import com.zcloud.zcGbsServicer.domain.model.ResourcePersonE;
import com.zcloud.zcGbsServicer.dto.ResourcePersonUpdateCmd;
import lombok.AllArgsConstructor;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;




/**
* web-app
* @Author makejava
* @Date 2026-01-21 17:23:34
*/
@Component
@AllArgsConstructor
public class ResourcePersonUpdateExe {
    private final ResourcePersonGateway resourcePersonGateway;

    @Transactional(rollbackFor = Exception.class)
    public void execute(ResourcePersonUpdateCmd resourcePersonUpdateCmd) {
        ResourcePersonE resourcePersonE = new ResourcePersonE();
        BeanUtils.copyProperties(resourcePersonUpdateCmd, resourcePersonE);
        boolean res = resourcePersonGateway.update(resourcePersonE);
        if (!res) {
            throw new BizException("修改失败");
        }
    }
}

